%define major		5
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		openconnect
Version:	9.12
Release:	%mkrel 1
Summary:	Open client for Cisco AnyConnect VPN
Group:		Networking/Other
License:	LGPLv2+
URL:		https://www.infradead.org/openconnect/
Source0:	https://www.infradead.org/openconnect/download/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(krb5)
BuildRequires:	pkgconfig(liblz4)
BuildRequires:	pkgconfig(libpcsclite)
BuildRequires:	pkgconfig(libproxy-1.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(tss2-esys)
BuildRequires:	trousers-devel
BuildRequires:	groff
BuildRequires:	intltool
BuildRequires:	softhsm
BuildRequires:	xdg-utils
# the vpnc connect script is  needed
Requires:	vpnc

%description
This package provides a client for Cisco's "AnyConnect" VPN, which uses
HTTPS and DTLS protocols.

%package -n	%{libname}
Summary:	Runtime Library needed by %{name}
Group:		System/Libraries

%description -n	%{libname}
Runtime librairy for %{name}.

%package -n	%{develname}
Summary:	Development headers for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Headers files to build packages against %{name}.

%prep
%autosetup -p1

%build
%configure \
	--disable-static \
	--disable-dsa-tests \
	--with-vpnc-script=/etc/vpnc/vpnc-script \
	--htmldir=%{_pkgdocdir}
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/libopenconnect.la
rm -f %{buildroot}%{_libexecdir}/openconnect/tncc-wrapper.py
rm -f %{buildroot}%{_libexecdir}/openconnect/hipreport-android.sh

%find_lang %{name}

# Get rid of .la files
find %{buildroot} -name '*.la' -delete

%check
# 3DES and MD5 really are just gone.
make VERBOSE=1 check XFAIL_TESTS=obsolete-server-crypto

%files -f %{name}.lang
%doc AUTHORS TODO COPYING.LGPL
%doc %{_pkgdocdir}
%{_sbindir}/%{name}
%{_libexecdir}/%{name}/
%{_datadir}/bash-completion/completions/%{name}
%{_mandir}/man8/*

%files -n %{libname}
%{_libdir}/libopenconnect.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libopenconnect.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h


%changelog
* Mon Sep 04 2023 daviddavid <daviddavid> 9.12-1.mga10
+ Revision: 1983920
- new version: 9.12

* Thu May 18 2023 guillomovitch <guillomovitch> 9.11-1.mga9
+ Revision: 1957161
- new version 9.11

* Wed May 17 2023 guillomovitch <guillomovitch> 9.10-1.mga9
+ Revision: 1957113
- new version 9.10
+ daviddavid <daviddavid>
- update Url and Source Url

* Fri Aug 19 2022 guillomovitch <guillomovitch> 9.01-1.mga9
+ Revision: 1878803
- new version 9.01

* Wed Mar 30 2022 umeabot <umeabot> 8.10-2.mga9
+ Revision: 1834654
- Mageia 9 Mass Rebuild
+ bcornec <bcornec>
- Update to upstream openconnect 8.10

* Fri May 15 2020 daviddavid <daviddavid> 8.10-1.mga8
+ Revision: 1583829
- new version: 8.10, fixes CVE-2020-12105 and CVE-2020-12823 (mga#26624)
- remove merged upstream patch

* Sat May 02 2020 daviddavid <daviddavid> 8.09-2.mga8
+ Revision: 1577903
- fix path to openconnect in bash completion script

* Wed Apr 29 2020 daviddavid <daviddavid> 8.09-1.mga8
+ Revision: 1573245
- new version: 8.09

* Tue Apr 07 2020 daviddavid <daviddavid> 8.08-1.mga8
+ Revision: 1565362
- new version: 8.08
- remove merged upstream patch

* Sat Feb 22 2020 daviddavid <daviddavid> 8.05-2.mga8
+ Revision: 1549231
- remove python2 only tncc-wrapper.py until an upstream python3 port
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 13 2019 daviddavid <daviddavid> 8.05-1.mga8
+ Revision: 1440220
- new version: 8.05

* Mon Jul 01 2019 guillomovitch <guillomovitch> 8.03-1.mga8
+ Revision: 1417267
- new version 8.03

* Wed Jan 16 2019 daviddavid <daviddavid> 8.02-1.mga7
+ Revision: 1357377
- new version: 8.02
- remove merged upstream patch

* Sat Jan 05 2019 daviddavid <daviddavid> 8.01-1.mga7
+ Revision: 1349780
- new version: 8.01
- enable TSS2_ESYS support

* Sat Jan 05 2019 daviddavid <daviddavid> 8.00-1.mga7
+ Revision: 1349544
- new version: 8.00

* Sun Sep 23 2018 umeabot <umeabot> 7.08-2.mga7
+ Revision: 1299987
- Mageia 7 Mass Rebuild

* Mon Jul 24 2017 daviddavid <daviddavid> 7.08-1.mga7
+ Revision: 1130187
- new version: 7.08
- now libmajor is 5
- enable krb5, liblz4, libproxy and libpcsclite support

* Mon Jan 11 2016 luigiwalser <luigiwalser> 6.00-4.mga6
+ Revision: 921826
- rebuild for gnutls

* Wed Oct 15 2014 umeabot <umeabot> 6.00-3.mga5
+ Revision: 749307
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.00-2.mga5
+ Revision: 683198
- Mageia 5 Mass Rebuild

* Thu Jul 17 2014 guillomovitch <guillomovitch> 6.00-1.mga5
+ Revision: 653508
- new version 6.00

* Mon Mar 17 2014 guillomovitch <guillomovitch> 5.99-1.mga5
+ Revision: 604337
- new version 5.99

* Tue Jan 14 2014 guillomovitch <guillomovitch> 5.02-1.mga4
+ Revision: 566548
- new version 5.02

* Sat Oct 19 2013 umeabot <umeabot> 5.01-2.mga4
+ Revision: 526619
- Mageia 4 Mass Rebuild

* Thu Jun 06 2013 guillomovitch <guillomovitch> 5.01-1.mga4
+ Revision: 438362
- new version

* Fri May 31 2013 guillomovitch <guillomovitch> 5.00-1.mga4
+ Revision: 433668
- use gnutls instead of openssl
- new version

* Fri Feb 15 2013 luigiwalser <luigiwalser> 4.07-3.mga3
+ Revision: 398610
- add upstream patch to fix CVE-2012-6128

* Sun Jan 13 2013 umeabot <umeabot> 4.07-2.mga3
+ Revision: 361942
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 05 2012 guillomovitch <guillomovitch> 4.07-1.mga3
+ Revision: 288579
- new version

* Fri Aug 10 2012 guillomovitch <guillomovitch> 4.06-1.mga3
+ Revision: 280389
- new version

* Fri Jul 06 2012 guillomovitch <guillomovitch> 4.04-1.mga3
+ Revision: 268422
- new version

* Thu Jul 05 2012 luigiwalser <luigiwalser> 3.15-3.mga3
+ Revision: 267984
- Add patch100 to fix CVE-2012-3291

* Sun Feb 05 2012 guillomovitch <guillomovitch> 3.15-2.mga2
+ Revision: 204664
- requires vpnc for connection script
- large spec cleanup: keep it consistent with other packages

* Mon Nov 28 2011 mikala <mikala> 3.15-1.mga2
+ Revision: 173328
- Open tarball to 3.15

* Mon Nov 21 2011 mikala <mikala> 3.14-1.mga2
+ Revision: 170413
- Update tarball to 3.14
- fix files list

* Wed Oct 05 2011 mikala <mikala> 3.13-1.mga2
+ Revision: 151583
- Update tarball to 3.13
- fix file list
- add missing BR

* Fri Sep 30 2011 mikala <mikala> 3.12-1.mga2
+ Revision: 150589
- Fix group
- Update tarball to 3.12
- switch to pkgconfig() BR
- remove %%clean section

* Sun Jul 17 2011 mikala <mikala> 3.10-1.mga2
+ Revision: 125261
- Update tarball to 3.10 ( see http://www.infradead.org/openconnect.html for changelog)
- Fix files list
- Remove static-devel package
- Remove .la files

* Fri May 06 2011 mikala <mikala> 3.02-1.mga1
+ Revision: 95639
- Remove BuildRoot
- imported package openconnect


* Thu Apr 21 2011 Guillaume Rousse <guillomovitch@mandriva.org> 3.02-1mdv2011.0
+ Revision: 656437
- new version

* Thu Mar 24 2011 Guillaume Rousse <guillomovitch@mandriva.org> 3.01-3
+ Revision: 648312
- patch: fix man page typo

* Tue Mar 15 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 3.01-2
+ Revision: 645097
- install authentication helper library too as subpackage

* Tue Mar 15 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 3.01-1
+ Revision: 644984
- new version
- do not build openconnect-nm-auth-dialog and drop patch for it.
  It is provided by networkmanager-openconnect now

* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.26-5mdv2011.0
+ Revision: 603024
- better name for gui subpackage

* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.26-4mdv2011.0
+ Revision: 603007
- split auth dialog into a subpackage, to avoid X11 dependencies

* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.26-3mdv2011.0
+ Revision: 602078
- don't forget build dependencies to really build networkmanager plugin

* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.26-2mdv2011.0
+ Revision: 601848
- don't remove network-manager plugin (thanks Andrey)

* Fri Sep 24 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.26-1mdv2011.0
+ Revision: 580910
- update to new version 2.26

* Tue Aug 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.25-1mdv2011.0
+ Revision: 571050
- update to new version 2.25

* Sat Aug 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.24-1mdv2011.0
+ Revision: 567316
- update to new version 2.24

* Tue Apr 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.22-1mdv2010.1
+ Revision: 532349
- update to new version 2.22

* Wed Jan 13 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.21-1mdv2010.1
+ Revision: 490729
- update to new version 2.21

* Wed Jan 06 2010 Frederik Himpe <fhimpe@mandriva.org> 2.20-1mdv2010.1
+ Revision: 486893
- update to new version 2.20

* Tue Dec 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.12-1mdv2010.1
+ Revision: 478981
- update to new version 2.12

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.11-1mdv2010.1
+ Revision: 468645
- update to new version 2.11

* Fri Aug 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.01-2mdv2010.0
+ Revision: 421873
- drop openssl versionned dependency

* Thu Aug 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.01-1mdv2010.0
+ Revision: 421763
- import openconnect


* Thu Aug 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.01-1mdv2010.0
- initial mdv package, shamelessly stolen from fedora 
